Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.SessionAttrib

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer.SessionAttrib

Enclosing class:
  WebServiceRenderer

public static class WebServiceRenderer.SessionAttrib
extends WebServiceRenderer.DefaultableParameterBinding

Class representing a parameter bound to an item of session data in the `ProviderSession`.

Constructor Summary
`WebServiceRenderer.SessionAttrib()`
`WebServiceRenderer.SessionAttrib(java.lang.String name, java.lang.String deflt, boolean isMandatory)` Constructs a `SessionAttrib` using the specified properties.

Method Summary
`java.lang.String` | `getActualValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
`getValue, isMandatory, setDefault, setMandatory, setMandatory`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.SessionAttrib

    public WebServiceRenderer.SessionAttrib()

### WebServiceRenderer.SessionAttrib

    public WebServiceRenderer.SessionAttrib(java.lang.String name,
                                            java.lang.String deflt,
                                            boolean isMandatory)

  Constructs a `SessionAttrib` using the specified properties.

Parameters:
  `name` - the binding name
  `deflt` - default value to use when actual binding value is null or the empty string
  `isMandatory` - is this a mandatory parameter?

Method Detail

### getActualValue

    public java.lang.String getActualValue(WebServiceRenderRequest wrr)

  Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults. In this case, the name of the binding is assumed to the name of an attribute of the `ProviderSession` if one exists. Note that the value is converted to a String.

  Specified by:
    `getActualValue` in class `WebServiceRenderer.DefaultableParameterBinding`
  Returns:
    the value of this binding for the given `WebServiceRenderRequest` or `null` if one does not yet exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.